# END\_PING\_INFO

#### ID: 3010

#### Payload Definition

<table><thead><tr><th width="188">Data Type</th><th width="164">Name</th><th>Description</th></tr></thead><tbody><tr><td>u32</td><td>reserved</td><td>deprecated, may be repurposed in future</td></tr><tr><td>float</td><td>range_start_m</td><td>range where sampling begins</td></tr><tr><td>float</td><td>range_end_m</td><td>range where sampling ends</td></tr><tr><td>vec3</td><td>up_vec</td><td>see description in ATTITUDE_REPORT</td></tr><tr><td>u32</td><td>ping_number</td><td>assigned sequentially from power on</td></tr><tr><td>float</td><td>water_degC</td><td>-1000 if no sensor present</td></tr><tr><td>float</td><td>water_bar</td><td>-1000 if no sensor present</td></tr><tr><td>float</td><td>heave_m</td><td>0, not yet implemented</td></tr><tr><td>vec3</td><td>mag_vec</td><td>reserved for future implementation</td></tr><tr><td>float</td><td>ping_hz_realized</td><td>acutal ping hz (may differ from requested)</td></tr><tr><td>i32</td><td>gain_index</td><td>gain index used for this ping</td></tr><tr><td>u16</td><td>pulse_usec</td><td>length of the pulse used in this ping in usec</td></tr><tr><td>u16</td><td>n_range_bins</td><td>number of range bins processed for this ping</td></tr><tr><td>u16</td><td>samples_per_range_bin</td><td>number of adc samples in each range bin</td></tr><tr><td>u8</td><td>device_number</td><td>must be &#x3C; number of devices, so 0 for single device</td></tr><tr><td>u8</td><td>unused</td><td>0</td></tr><tr><td>u32</td><td>pwr_up_msec</td><td>msec since pwr up at start of ping</td></tr><tr><td>u64</td><td>utc_msec</td><td>utc msec at start of ping</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ceruleansonar.com/c/omniscan3d/application-programming-interface/end_ping_info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
